Package com.smartgwt.client.widgets.events

# Interface HasVisibilityChangedHandlers

All Superinterfaces:
  `HasHandlers`

All Known Implementing Classes:
  `AceEditor`, `ActiveXControl`, `AdaptiveMenu`, `AdvancedHiliteEditor`, `AISortProgressDialog`, `AIWindow`, `BatchUploader`, `BatchUploader`, `BatchUploader`, `BrowserPlugin`, `BuildUIViaAIProgressDialog`, `BuildViaAIProgressDialog`, `Button`, `Calendar`, `CalendarView`, `Canvas`, `ColorPicker`, `ColumnTree`, `CSSEditor`, `CubeGrid`, `DataView`, `DateChooser`, `DateGrid`, `DateRangeDialog`, `Deck`, `DetailViewer`, `Dialog`, `DrawKnob`, `DrawPane`, `DropZone`, `DynamicForm`, `EdgedCanvas`, `EditPane`, `EditSearchWindow`, `EditTree`, `EventCanvas`, `FacetChart`, `FieldPicker`, `FieldPickerWindow`, `FileDropZone`, `FilterBuilder`, `FilterClause`, `FilterViaAIProgressDialog`, `Flashlet`, `FlowLayout`, `Gauge`, `GradientEditor`, `GridRenderer`, `HeaderControl`, `HiliteEditor`, `HiliteRule`, `HiliteViaAIProgressDialog`, `HLayout`, `HStack`, `HTMLFlow`, `HTMLPane`, `IButton`, `IconButton`, `IconMenuButton`, `IMenuButton`, `Img`, `ImgButton`, `ImgSectionHeader`, `ImgSplitbar`, `ImgTab`, `IndicatorCanvas`, `Label`, `Layout`, `LayoutSpacer`, `ListGrid`, `ListPalette`, `ListPropertiesDialog`, `ListPropertiesPane`, `Menu`, `MenuBar`, `MenuButton`, `MenuPalette`, `MiniNavControl`, `MultiFilePicker`, `MultiGroupDialog`, `MultiGroupPanel`, `MultiSortDialog`, `MultiSortPanel`, `NavigationBar`, `NavigationButton`, `NavPanel`, `PickListMenu`, `PortalLayout`, `Portlet`, `PrintCanvas`, `PrintWindow`, `Progressbar`, `PropertySheet`, `RangeSlider`, `RecordEditor`, `Reify`, `RibbonBar`, `RibbonButton`, `RibbonGroup`, `RibbonMenuButton`, `RichTextEditor`, `RowRangeDisplay`, `SavedSearchEditor`, `ScreenLoader`, `Scrollbar`, `SearchForm`, `SectionHeader`, `SectionStack`, `SelectionTreeMenu`, `SeleneseRecorder`, `Shuttle`, `SimpleTile`, `Slider`, `Snapbar`, `Splitbar`, `SplitPane`, `StatefulCanvas`, `StretchImg`, `StretchImgButton`, `SVG`, `TabBar`, `TableView`, `TabSet`, `TileGrid`, `TileLayout`, `TilePalette`, `Timeline`, `ToggleSwitch`, `Toolbar`, `ToolStrip`, `ToolStripButton`, `ToolStripGroup`, `ToolStripMenuButton`, `ToolStripResizer`, `ToolStripSeparator`, `ToolStripSpacer`, `TourWindow`, `TransferImgButton`, `TreeGrid`, `TreeMenuButton`, `TreePalette`, `ViewLoader`, `VLayout`, `VStack`, `WidgetCanvas`, `Window`, `ZoneCanvas`

public interface HasVisibilityChangedHandlers extends HasHandlers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addVisibilityChangedHandler(VisibilityChangedHandler handler)`
  Notification fired when this canvas becomes visible or hidden to the user.

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Method Details

  - ### addVisibilityChangedHandler

    HandlerRegistration addVisibilityChangedHandler(VisibilityChangedHandler handler)
    Notification fired when this canvas becomes visible or hidden to the user. Note - this method is fired when the `isVisible()` state of this component changes. It may be fired in response an explicit call to `show()` or `hide()`, or in response to a parent component being shown or hidden when this widgets `visibility` is set to "inherit".

    Note that a call to `show()` or `hide()` will not always fire this notification. If this widget has a hidden parent, show or hide would change this components `visibility` property, and may update the CSS visibility attribute of the drawn handle in the DOM, but would not actually hide or reveal the component to the user and as such the notification would not fire.

    Note also that this notification will only be fired for components which have been `drawn`.

    Parameters:
      `handler` - the visibilityChanged handler
    Returns:
      `HandlerRegistration` used to remove this handler